Bug 190572 - Samba looks like it is leaking on open file descriptor to its log files.
Samba looks like it is leaking on open file descriptor to its log files.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-03 13:27 EDT by Daniel Walsh
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-03 13:57:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2006-05-03 13:27:54 EDT
Description of problem:

SELinux is reporting

Apr 25 12:53:25 hssrv01 kernel: audit(1145984005.084:160): avc:  denied  {
append } for  pid=24952 comm="useradd" name="log.mslib2k10w" dev=dm-0
ino=8674237 scontext=root:system_r:useradd_t:s0
tcontext=root:object_r:samba_log_t:s0 tclass=file
Apr 25 12:53:25 hssrv01 kernel: audit(1145984005.088:161): avc:  denied  {
read } for  pid=24952 comm="useradd" name="passwd" dev=dm-0 ino=1964129
scontext=root:system_r:useradd_t:s0
tcontext=system_u:object_r:etc_runtime_t:s0 tclass=file
Apr 25 12:53:25 hssrv01 kernel: audit(1145984005.088:162): avc:  denied  {
read write } for  pid=24952 comm="useradd" name="passwd" dev=dm-0
ino=1964129 scontext=root:system_r:useradd_t:s0
tcontext=system_u:object_r:etc_runtime_t:s0 tclass=file
Apr 25 12:53:25 hssrv01 smbd[24950]: [2006/04/25 12:53:25.092274, 0]
rpc_server/srv_samr_nt.c:_samr_create_user(2404)
Apr 25 12:53:25 hssrv01 smbd[24950]:   _samr_create_user: Running the
command `/usr/sbin/useradd -d /dev/null -g mac6068346148hines -c 'Machine
Account' -s /bin/false -M mslib2k10w$' gave 1
Comment 1 Simo Sorce 2007-05-03 13:57:10 EDT
IIRC we already fixed this, closing.

Note You need to log in before you can comment on or make changes to this bug.